import { EmailVerifyDto } from './email.interface'

/** 登录入参 */
export interface LoginInputDto {
  email: string
  password: string
}

/** 注册入参 */
export interface RegisterInputDto extends EmailVerifyDto {
  password: string
  username?: string
}

export interface Token {
  accessToken: string
  refreshToken: string
}

export interface TokenRefreshPayload {
  refreshToken: string
}

/** 用户 */
export interface User {
  id: string
  email: string
  username: string | null
  password: string
  /** @format date-time */
  createdAt: string
  /** @format date-time */
  updatedAt: string
}
